<script setup>
    
defineProps({
    title: {
        type: String,
        required: false
    },
    badge: {
        type: String,
        default: null,
        required: false
    }
})
    
</script>

<template>
    <div class="card">
        <div class="card__content">
            <h3 class="card-title" v-if="title">{{ title }}</h3>
            <slot></slot>
        </div>
        <div class="card__badge" v-if="badge">
            <small class="card-badge">{{ badge }}</small>
        </div>
    </div>
</template>

<style>

.card {
    display: flex;
    padding: 1rem;

    background-color: hsl(160, 98%, 39.6%);
    border-radius: 0.5rem;
    color: rgb(255, 255, 255);
}

.card.disabled {
    color: rgba(0, 0, 0, 0.55);
    background-color: hsla(0, 0%, 0%, 0.2)
}

.card .card__content {
    flex: 1;
}

.card-badge {
    font-weight: bold;
    font-size: 80%;
    text-transform: uppercase;
}

.card-title {
    font-size: 140%;
    line-height: 1.2em;
}

</style>